com.io7m.jstructural.annotated

## Interface SAParagraphNumberVisitor<T>

- Type Parameters:
    `T` - The type of transformed paragraph numbers

      public interface SAParagraphNumberVisitor<T>

  A paragraph number visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitParagraphNumberPSP(SAParagraphNumberPSP p)` Visit a PSP paragraph number.
    `T` | `visitParagraphNumberPSSP(SAParagraphNumberPSSP p)` Visit a PSSP paragraph number.
    `T` | `visitParagraphNumberSP(SAParagraphNumberSP p)` Visit a SP paragraph number.
    `T` | `visitParagraphNumberSSP(SAParagraphNumberSSP p)` Visit a SSP paragraph number.

- - ### Method Detail

    - #### visitParagraphNumberPSP

          T visitParagraphNumberPSP(@Nonnull
                                  SAParagraphNumberPSP p)
                                    throws com.io7m.jaux.Constraints.ConstraintError,
                                           Exception

      Visit a PSP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitParagraphNumberPSSP

          T visitParagraphNumberPSSP(@Nonnull
                                   SAParagraphNumberPSSP p)
                                     throws com.io7m.jaux.Constraints.ConstraintError,
                                            Exception

      Visit a PSSP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitParagraphNumberSP

          T visitParagraphNumberSP(@Nonnull
                                 SAParagraphNumberSP p)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Visit a SP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitParagraphNumberSSP

          T visitParagraphNumberSSP(@Nonnull
                                  SAParagraphNumberSSP p)
                                    throws com.io7m.jaux.Constraints.ConstraintError,
                                           Exception

      Visit a SSP paragraph number.
      Parameters:
        `p` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014. All rights reserved.